-- filename   : sample_report2.sql
-- copyright  : (c)2009,2010 OraPub, Inc.
-- description: This is a simple report showing key stress identifier output
--				for a given database/instance.

set tab off
set linesize 250
col stresser_strength 	format 9990.000000
col stress_type 	    format a15
col stresser_stat	    format a60
col load_time 		    format a18
col dt_start 		    format a11
col dt_end		        format a11
col day_start		    format a10
col day_end		        format a7
col hr_start		    format a8
col hr_end		        format a6
col run_id		        format a8

accept dbid            prompt "Please enter the database ID of interest    :" 
accept instance_number prompt "Please enter the instance number of interest:"
prompt
prompt Sample Report 2 - Analysis Key Results (dbid=&dbid instance_number=&instance_number).
prompt
prompt This sample report shows all analysis results for a given database ID and instance number.
prompt If you want details for a specific run ID, then try sample_report3.sql
prompt

select 	run_id,
		stress_type,
		to_char(load_time,'YYYY-MON-DD HH24:MI') load_time,
       	dt_start,
       	dt_end,
       	day_start,
       	day_end,
       	hr_start,
       	hr_end,
       	stresser_stat,
       	stresser_strength
from 	opsi_result
where 	dbid=&dbid
  and 	instance_number=&instance_number
order by stress_type,load_time,stresser_strength desc
/


